GDB (xrefs)

Enumerations | Functions
/tmp/gdb-8.1/gdb/xtensa-linux-tdep.c File Reference
`#include "defs.h"`
`#include "osabi.h"`
`#include "linux-tdep.h"`
`#include "solib-svr4.h"`
`#include "symtab.h"`

Go to the source code of this file.

## Enumerations
enum | { XTENSA_LINUX_SIGRTMIN = 32, XTENSA_LINUX_SIGRTMAX = 63 }

## Functions
static enum gdb_signal | xtensa_linux_gdb_signal_from_target (struct gdbarch *gdbarch, int signal)
static int | xtensa_linux_gdb_signal_to_target (struct gdbarch *gdbarch, enum gdb_signal signal)
static void | xtensa_linux_init_abi (struct gdbarch_info info, struct gdbarch *gdbarch)
void | _initialize_xtensa_linux_tdep (void)

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
XTENSA_LINUX_SIGRTMIN |
XTENSA_LINUX_SIGRTMAX |

Definition at line 33 of file xtensa-linux-tdep.c.

## Function Documentation

## ◆ _initialize_xtensa_linux_tdep()

void _initialize_xtensa_linux_tdep | ( | void |  | ) |

Definition at line 116 of file xtensa-linux-tdep.c.

References GDB_OSABI_LINUX, gdbarch_register_osabi(), and xtensa_linux_init_abi().

## ◆ xtensa_linux_gdb_signal_from_target()

static enum gdb_signal xtensa_linux_gdb_signal_from_target | ( | struct gdbarch * | gdbarch,
|  | int | signal
| ) |  |
| static

Definition at line 43 of file xtensa-linux-tdep.c.

References linux_gdb_signal_from_target(), offset, XTENSA_LINUX_SIGRTMAX, and XTENSA_LINUX_SIGRTMIN.

Referenced by xtensa_linux_init_abi().

## ◆ xtensa_linux_gdb_signal_to_target()

static int xtensa_linux_gdb_signal_to_target | ( | struct gdbarch * | gdbarch,
|  | enum gdb_signal | signal
| ) |  |
| static

Definition at line 66 of file xtensa-linux-tdep.c.

References linux_gdb_signal_to_target(), offset, and XTENSA_LINUX_SIGRTMIN.

Referenced by xtensa_linux_init_abi().

## ◆ xtensa_linux_init_abi()

static void xtensa_linux_init_abi | ( | struct gdbarch_info | info,
|  | struct gdbarch * | gdbarch
| ) |  |
| static

Definition at line 98 of file xtensa-linux-tdep.c.

References linux_init_abi(), set_gdbarch_fetch_tls_load_module_address(), set_gdbarch_gdb_signal_from_target(), set_gdbarch_gdb_signal_to_target(), set_solib_svr4_fetch_link_map_offsets(), svr4_fetch_objfile_link_map(), svr4_ilp32_fetch_link_map_offsets(), xtensa_linux_gdb_signal_from_target(), and xtensa_linux_gdb_signal_to_target().

Referenced by _initialize_xtensa_linux_tdep().